---
title: "segStartY"
subtitle: "Function in std::sketch"
excerpt: "Compute the starting point of the provided line segment along the 'y' axis."
layout: manual
---

Compute the starting point of the provided line segment along the 'y' axis.

```kcl
segStartY(@tag: TagIdentifier): number
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| [`tag`](/docs/kcl-std/types/std-types-tag) | [`TagIdentifier`](/docs/kcl-lang/types#TagIdentifier) | The line segment being queried by its tag | Yes |

### Returns

[`number`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [20, 0])
  |> line(end = [0, 3], tag = $thing)
  |> line(end = [-10, 0])
  |> line(end = [0, 20 - segStartY(thing)])
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of segStartY 0](data:image/png;base64,[encoded data, 95456 characters])


